%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vino
Version:	3.7.3
Release:	%mkrel 2
Summary:	GNOME VNC server
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.17.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnutls) >= 2.2.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.17.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtk+-x11-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.4
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.24.0
BuildRequires:	pkgconfig(NetworkManager) >= 0.7
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	libgcrypt-devel >= 1.1.90
BuildRequires:	libsm-devel
BuildRequires:	libice-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxext-devel
BuildRequires:	libxtst-devel
BuildRequires:	libx11-devel
BuildRequires:	libxfixes-devel
BuildRequires:	zlib-devel
BuildRequires:	gnome-common
BuildRequires:	intltool

%description
This package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
%configure2_5x \
	--disable-http-server \
	--without-network-manager \
	--with-avahi \
	--with-telepathy \
	--with-gnome-keyring \
	--with-libnotify
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_bindir}/vino-passwd
%{_bindir}/vino-preferences
%{_libexecdir}/vino-server
%{_datadir}/vino
%{_datadir}/applications/vino-preferences.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/org.gnome.Vino.convert


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 385421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 3.7.3-1.mga3
+ Revision: 344000
- Update to new version 3.7.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317385
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307312
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297249
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295639
- new version 3.5.92

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282749
- new version 3.5.90

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263888
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235690
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231122
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226908
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224526
- new version 3.3.92
- drop desktop file patch, unneeded with desktop-file-utils 0.19

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184749
- new version 3.3.3

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158625
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156050
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148812
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145626
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139305
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136430
- br sm
- new version 3.1.90
- fix desktop file
- rebuild for new gnutls

  + wally <wally>
    - new version 3.1.5
    - new version 3.1.4
    - clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119111
- add BuildRequires: libsm-devel
- add BuildRequires: gnome-common
- 3.1.3

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 111441
- New version 3.0.2
  Clean spec file

* Sun Jun 19 2011 dmorgan <dmorgan> 2.32.1-3.mga2
+ Revision: 110092
- Rebuild against new libnotify

* Tue May 03 2011 saispo <saispo> 2.32.1-2.mga1
+ Revision: 94362
- Bump Release
- Add patch for CVE-2011-0904 and CVE-2011-0905

* Fri Feb 25 2011 ennael <ennael> 2.32.1-1.mga1
+ Revision: 59382
- imported package vino

